/*******new Stata code using copula output for ynf+yf from WID.world gpinter*****/

#delimit;
clear;
set more off;

cd "D:\Dropbox\WIDChina\PYZ2017DistributionSeries\";




/**************(total China) importing gperc China series for ynf+yf 1978-2015******************/
forvalues year=1978/2015 
{;
import excel Gpinter\Copulas\CopulasSeries.xlsx, sheet(`year') firstrow;
drop year component average;
gen year=`year';
rename thr ythr;
rename topavg ytop;
drop topsh;
replace p=100000*p;
save StataFiles/temp/gperc_y_China_`year'.dta, replace;
clear;
};
/*****merging all year files*/
use StataFiles/temp/gperc_y_China_1978.dta;
forvalues year=1979/2015 
{;
append using StataFiles/temp/gperc_y_China_`year'.dta;
};
sort year p;
save StataFiles/gperc_y_China.dta, replace;
clear;
/*****rearranging variables so as to fit DINA template tables and checking inconsistencies*/
use StataFiles/gperc_y_China.dta, clear;
gsort year p;
gsort year p;
gen yint=ytop if p==99999;
replace yint=((100000-p)*ytop-(100000-p[_n+1])*ytop[_n+1])/(p[_n+1]-p) if p<99999;
gen f=p[_n+1]-p if p<99999;
replace f=1 if p==99999;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_y_China.dta, replace; 
clear;


/**************(urban China) importing gperc China series for ynf+yf 1978-2015******************/
forvalues year=1978/2015 
{;
import excel Gpinter\Copulas\CopulasSeriesUrban.xlsx, sheet(`year') firstrow;
drop year component average;
gen year=`year';
rename thr ythr;
rename topavg ytop;
drop topsh;
replace p=100000*p;
save StataFiles/temp/gperc_y_UrbanChina_`year'.dta, replace;
clear;
};
/*****merging all year files*/
use StataFiles/temp/gperc_y_UrbanChina_1978.dta;
forvalues year=1979/2015 
{;
append using StataFiles/temp/gperc_y_UrbanChina_`year'.dta;
};
sort year p;
save StataFiles/gperc_y_UrbanChina.dta, replace;
clear;
/*****rearranging variables so as to fit DINA template tables and checking inconsistencies*/
use StataFiles/gperc_y_UrbanChina.dta, clear;
gsort year p;
gsort year p;
gen yint=ytop if p==99999;
replace yint=((100000-p)*ytop-(100000-p[_n+1])*ytop[_n+1])/(p[_n+1]-p) if p<99999;
gen f=p[_n+1]-p if p<99999;
replace f=1 if p==99999;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_y_UrbanChina.dta, replace; 
clear;


/**************(rural China) importing gperc China series for ynf+yf 1978-2015******************/
forvalues year=1978/2015 
{;
import excel Gpinter\Copulas\CopulasSeriesRural.xlsx, sheet(`year') firstrow;
drop year component average;
gen year=`year';
rename thr ythr;
rename topavg ytop;
drop topsh;
replace p=100000*p;
save StataFiles/temp/gperc_y_RuralChina_`year'.dta, replace;
clear;
};
/*****merging all year files*/
use StataFiles/temp/gperc_y_RuralChina_1978.dta;
forvalues year=1979/2015 
{;
append using StataFiles/temp/gperc_y_RuralChina_`year'.dta;
};
sort year p;
save StataFiles/gperc_y_RuralChina.dta, replace;
clear;
/*****rearranging variables so as to fit DINA template tables and checking inconsistencies*/
use StataFiles/gperc_y_RuralChina.dta, clear;
gsort year p;
gsort year p;
gen yint=ytop if p==99999;
replace yint=((100000-p)*ytop-(100000-p[_n+1])*ytop[_n+1])/(p[_n+1]-p) if p<99999;
gen f=p[_n+1]-p if p<99999;
replace f=1 if p==99999;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_y_RuralChina.dta, replace; 




