/*******Stata code exporting rural gperc files for copula simulations*********/



#delimit;
clear;
set more off;

cd "D:\Dropbox\WIDChina\PYZ2016DistributionSeries\";



/*********************exporting gperc in xls format for MatLab copula simulations****/
forvalues year=1978/2015 
{;
/*****exporting gperc of non-fiscal income****/
/*****exporting year and average on top of tabulation*/
use StataFiles/gperc_ynf_RuralChina.dta, clear;
rename ythr thr;
keep if (p==0 | p==1000) & year==`year';
gen v1="year";
replace v1="average" if p==1000;
gen v2=`year' if p==0;
replace v2=b[_n-1]*thr[_n-1] if p==1000;
keep v1 v2;
export excel using SimulationTwoDimMatlab\copulas\rawdata\gumbel_allfiles\China`year'.xls, sheet("Capital") sheetmodify cell(a1);
/****exporting gperc thresholds and inverted Pareto coeff*/
use StataFiles/gperc_ynf_RuralChina.dta, clear;
keep if year==`year';
drop year;
drop if p>99000;
replace p=p/100000;
rename ythr thr;
replace thr=0 if p==0;
replace b=. if p==0;
keep thr p b;
order thr p b;
export excel using SimulationTwoDimMatlab\copulas\rawdata\gumbel_allfiles\China`year'.xls, sheet("Capital") sheetmodify cell(a3) firstrow(variables);
/*****exporting gperc fiscal income****/
/*****exporting year and average on top of tabulation*/
use StataFiles/gperc_yf_RuralChina.dta, clear;
rename ythr thr;
keep if (p==0 | p==1000) & year==`year';
gen v1="year";
replace v1="average" if p==1000;
gen v2=`year' if p==0;
replace v2=b[_n-1]*thr[_n-1] if p==1000;
keep v1 v2;
export excel using SimulationTwoDimMatlab\copulas\rawdata\gumbel_allfiles\China`year'.xls, sheet("Labor") sheetmodify cell(a1);
/****exporting gperc thresholds and inverted Pareto coeff*/
use StataFiles/gperc_yf_RuralChina.dta, clear;
keep if year==`year';
drop year;
drop if p>99000;
replace p=p/100000;
rename ythr thr;
replace thr=0 if p==0;
replace b=. if p==0;
keep thr p b;
order thr p b;
export excel using SimulationTwoDimMatlab\copulas\rawdata\gumbel_allfiles\China`year'.xls, sheet("Labor") sheetmodify cell(a3) firstrow(variables);
};



