/********Stata code adjusting average income series in all China gperc files *********/


#delimit;
clear;
set more off;

cd "D:\Dropbox\WIDChina\PYZ2017DistributionSeries\";


/******************importing all averages series****/
import excel Tabulations/rawdata_bysheet_urbanChina_raw.xlsx, sheet("Parameters") cellrange(A11:d49) firstrow clear;
save StataFiles/temp/yfu_China.dta, replace;
import excel Tabulations/rawdata_bysheet_ruralChina_raw.xlsx, sheet("Parameters") cellrange(A11:d49) firstrow clear;
save StataFiles/temp/yfr_China.dta, replace;
import excel Tabulations/rawdata_bysheet_China_wealth.xlsx, sheet("Parameters") cellrange(A11:h49) firstrow clear;
save StataFiles/temp/w_China.dta, replace;
sort year;
merge 1:1 year using StataFiles/temp/yfu_China.dta, nogen;
merge 1:1 year using StataFiles/temp/yfr_China.dta, nogen;
gen ypri0=yf+ynf;
gen ypub0=y-ypri0;
gen ypri=ypri0-it+ct;
gen ypub=ypub0+it-ct;
gen ys=(adultpopu*ysu+adultpopr*ysr)/adultpop;
gen yu=y*yfu/yf;
gen wu=w*yfu/yf;
gen yr=y*yfr/yf;
gen wr=w*yfr/yf;
order year adultpop y w yf ys ynf ypri ypub ypri0 ypub0 it ct adultpopu yu wu yfu ysu adultpopr yr wr yfr ysr;
save StataFiles/averages_China.dta, replace;


/**********adjusting average incomes********************/
/******total China****/
use StataFiles/gperc_w_China.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=w/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_w_China.dta, replace;
use StataFiles/gperc_y_China.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=y/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_y_China.dta, replace; 
use StataFiles/gperc_yf_China.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=yf/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_yf_China.dta, replace;
use StataFiles/gperc_ynf_China.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=ynf/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_ynf_China.dta, replace; 
use StataFiles/gperc_yf_China_raw.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=yf/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_yf_China_raw.dta, replace; 
use StataFiles/gperc_yf_China_raw.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=ys/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_ys_China_raw.dta, replace; 

/******urban China****/
use StataFiles/gperc_yf_UrbanChina_raw.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=yfu/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_yf_UrbanChina_raw.dta, replace;
use StataFiles/gperc_yf_UrbanChina_raw.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=ysu/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_ys_UrbanChina_raw.dta, replace; 
use StataFiles/gperc_yf_UrbanChina.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=yfu/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_yf_UrbanChina.dta, replace; 
use StataFiles/gperc_ynf_China.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
gen ratio=yfu/yf;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_ynf_UrbanChina.dta, replace;
use StataFiles/gperc_w_China.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
gen ratio=yfu/yf;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_w_UrbanChina.dta, replace;
use StataFiles/gperc_y_UrbanChina.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=yu/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_y_UrbanChina.dta, replace;

/*****rural China****/
use StataFiles/gperc_yf_RuralChina_raw.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=yfr/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_yf_RuralChina_raw.dta, replace; 
use StataFiles/gperc_yf_RuralChina_raw.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=ysr/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_ys_RuralChina_raw.dta, replace; 
use StataFiles/gperc_yf_RuralChina.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=yfr/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_yf_RuralChina.dta, replace;
use StataFiles/gperc_ynf_China.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
gen ratio=yfr/yf;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_ynf_RuralChina.dta, replace;
use StataFiles/gperc_w_China.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
gen ratio=yfr/yf;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_w_RuralChina.dta, replace;
use StataFiles/gperc_y_RuralChina.dta, clear;
merge m:1 year using StataFiles/averages_China.dta, nogen; 
sort year;
by year: egen yf2=total(f*yint);
replace yf2=yf2/100000;
gen ratio=yr/yf2;
replace ythr=ythr*ratio;
replace yint=yint*ratio;
replace ytop=ytop*ratio;
replace b=ytop/ythr;
keep year p f ythr yint ytop b;
sort year p f ythr yint ytop b;
order year p f ythr yint ytop b;
save StataFiles/gperc_y_RuralChina.dta, replace;



/***************extracting table 1w: summary statistics*/
use StataFiles/gperc_w_China.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1w.dta, replace;
export excel using StataFiles/tables/table1w.xlsx, firstrow(variables) replace;


/*******************extracting table 2w: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_w_China.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfu_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfu_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfu_`year'.dta, nogen;
};
save Statafiles/tables/table2w.dta, replace;
export excel using Statafiles/tables/table2w.xlsx, firstrow(variables) replace;
 

/***************extracting table 1y: summary statistics*/
use StataFiles/gperc_y_China.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1y.dta, replace;
export excel using StataFiles/tables/table1y.xlsx, firstrow(variables) replace;


/*******************extracting table 2y: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_y_China.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfu_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfu_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfu_`year'.dta, nogen;
};
save Statafiles/tables/table2y.dta, replace;
export excel using Statafiles/tables/table2y.xlsx, firstrow(variables) replace;

/***************extracting table 1yf: summary statistics*/
use StataFiles/gperc_yf_China.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1yf.dta, replace;
export excel using StataFiles/tables/table1yf.xlsx, firstrow(variables) replace;


/*******************extracting table 2yf: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_yf_China.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfu_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfu_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfu_`year'.dta, nogen;
};
save Statafiles/tables/table2yf.dta, replace;
export excel using Statafiles/tables/table2yf.xlsx, firstrow(variables) replace;


/***************extracting table 1yfuraw: summary statistics*/
use StataFiles/gperc_yf_UrbanChina_raw.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1yfuraw.dta, replace;
export excel using StataFiles/tables/table1yfuraw.xlsx, firstrow(variables) replace;


/*******************extracting table 2yfuraw: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_yf_UrbanChina_raw.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfu_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfu_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfu_`year'.dta, nogen;
};
save Statafiles/tables/table2yfuraw.dta, replace;
export excel using Statafiles/tables/table2yfuraw.xlsx, firstrow(variables) replace;

/***************extracting table 1ysuraw: summary statistics*/
use StataFiles/gperc_ys_UrbanChina_raw.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1ysuraw.dta, replace;
export excel using StataFiles/tables/table1ysuraw.xlsx, firstrow(variables) replace;


/*******************extracting table 2ysuraw: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_ys_UrbanChina_raw.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfu_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfu_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfu_`year'.dta, nogen;
};
save Statafiles/tables/table2ysuraw.dta, replace;
export excel using Statafiles/tables/table2ysuraw.xlsx, firstrow(variables) replace;


/***************extracting table 1yfu: summary statistics*/
use StataFiles/gperc_yf_UrbanChina.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1yfu.dta, replace;
export excel using StataFiles/tables/table1yfu.xlsx, firstrow(variables) replace;


/*******************extracting table 2yfu: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_yf_UrbanChina.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfu_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfu_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfu_`year'.dta, nogen;
};
save Statafiles/tables/table2yfu.dta, replace;
export excel using Statafiles/tables/table2yfu.xlsx, firstrow(variables) replace;


/***************extracting table 1yfrraw: summary statistics*/
use StataFiles/gperc_yf_RuralChina_raw.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1yfrraw.dta, replace;
export excel using StataFiles/tables/table1yfrraw.xlsx, firstrow(variables) replace;


/*******************extracting table 2yfrraw: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_yf_RuralChina_raw.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfr_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfr_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfr_`year'.dta, nogen;
};
save Statafiles/tables/table2yfrraw.dta, replace;
export excel using Statafiles/tables/table2yfrraw.xlsx, firstrow(variables) replace;

/***************extracting table 1ysrraw: summary statistics*/
use StataFiles/gperc_ys_RuralChina_raw.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1ysrraw.dta, replace;
export excel using StataFiles/tables/table1ysrraw.xlsx, firstrow(variables) replace;


/*******************extracting table 2ysrraw: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_ys_RuralChina_raw.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfr_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfr_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfr_`year'.dta, nogen;
};
save Statafiles/tables/table2ysrraw.dta, replace;
export excel using Statafiles/tables/table2ysrraw.xlsx, firstrow(variables) replace;


/***************extracting table 1yfr: summary statistics*/
use StataFiles/gperc_yf_RuralChina.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1yfr.dta, replace;
export excel using StataFiles/tables/table1yfr.xlsx, firstrow(variables) replace;


/*******************extracting table 2yfr: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_yf_RuralChina.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfr_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfr_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfr_`year'.dta, nogen;
};
save Statafiles/tables/table2yfr.dta, replace;
export excel using Statafiles/tables/table2yfr.xlsx, firstrow(variables) replace;



/***************extracting table 1yu: summary statistics*/
use StataFiles/gperc_y_UrbanChina.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1yu.dta, replace;
export excel using StataFiles/tables/table1yu.xlsx, firstrow(variables) replace;


/*******************extracting table 2yu: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_y_UrbanChina.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percu_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percu_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percu_`year'.dta, nogen;
};
save Statafiles/tables/table2yu.dta, replace;
export excel using Statafiles/tables/table2yu.xlsx, firstrow(variables) replace;



/***************extracting table 1yr: summary statistics*/
use StataFiles/gperc_y_RuralChina.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1yr.dta, replace;
export excel using StataFiles/tables/table1yr.xlsx, firstrow(variables) replace;


/*******************extracting table 2yr: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_y_RuralChina.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percr_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percr_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percr_`year'.dta, nogen;
};
save Statafiles/tables/table2yr.dta, replace;
export excel using Statafiles/tables/table2yr.xlsx, firstrow(variables) replace;

/***************extracting table 1yfraw: summary statistics*/
use StataFiles/gperc_yf_China_raw.dta, clear;
sort year p;
gen p0=0 if p==0;
replace p0=p/1000+(yint/(ythr[_n+1]-ythr))*f/1000 if ythr==0 & ythr[_n+1]>0 & year[_n+1]==year;
keep if p==0 | p==10000 | p==20000 | p==30000 | p==40000 | p==50000 | p==60000 | p==70000 | p==80000 | p==90000 | p==99000 | p==99900 | p==99990 | p==99999;
sort year p; 
gen ymean=ytop if p==0;
gen bottom10=1-0.9*ytop[_n+1]/ytop if p==0;
gen bottom50=1-0.5*ytop[_n+5]/ytop if p==0;
gen top10=0.1*ytop[_n+9]/ytop if p==0;
gen middle40=1-top10-bottom50 if p==0;
gen top1=0.01*ytop[_n+10]/ytop if p==0;
gen top01=0.001*ytop[_n+11]/ytop if p==0;
gen top001=0.0001*ytop[_n+12]/ytop if p==0;
gen top0001=0.00001*ytop[_n+13]/ytop if p==0;
gen p10=ythr[_n+1]/ymean if p==0;
gen p50=ythr[_n+5]/ymean if p==0;
gen p90=ythr[_n+9]/ymean if p==0;
gen p99=ythr[_n+10]/ymean if p==0;
gen p999=ythr[_n+11]/ymean if p==0;
gen p9999=ythr[_n+12]/ymean if p==0;
gen p99999=ythr[_n+13]/ymean if p==0;
gen b10=ytop[_n+1]/ythr[_n+1] if p==0;
gen b50=ytop[_n+5]/ythr[_n+5] if p==0;
gen b90=ytop[_n+9]/ythr[_n+9] if p==0;
gen b99=ytop[_n+10]/ythr[_n+10] if p==0;
gen b999=ytop[_n+11]/ythr[_n+11] if p==0;
gen b9999=ytop[_n+12]/ythr[_n+12] if p==0;
gen b99999=ytop[_n+13]/ythr[_n+13] if p==0;
gen p20=ythr[_n+2]/ymean if p==0;
gen p30=ythr[_n+3]/ymean if p==0;
gen p40=ythr[_n+4]/ymean if p==0;
gen p60=ythr[_n+6]/ymean if p==0;
gen p70=ythr[_n+7]/ymean if p==0;
gen p80=ythr[_n+8]/ymean if p==0;
gen p1020=(0.9*ytop[_n+1]-0.8*ytop[_n+2])/(0.1*ymean);
gen p2030=(0.8*ytop[_n+2]-0.7*ytop[_n+3])/(0.1*ymean);
gen p3040=(0.7*ytop[_n+3]-0.6*ytop[_n+4])/(0.1*ymean);
gen p4050=(0.6*ytop[_n+4]-0.5*ytop[_n+5])/(0.1*ymean);
gen p5060=(0.5*ytop[_n+5]-0.4*ytop[_n+6])/(0.1*ymean);
gen p6070=(0.4*ytop[_n+6]-0.3*ytop[_n+7])/(0.1*ymean);
gen p7080=(0.3*ytop[_n+7]-0.2*ytop[_n+8])/(0.1*ymean);
gen p8090=(0.2*ytop[_n+8]-0.1*ytop[_n+9])/(0.1*ymean);
keep if p==0;
keep year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
order year ymean bottom10 bottom50 middle40 top10 top1 top01 top001 top0001 p0 p10 p50 p90 p99 p999 p9999 p99999 b10 b50 b90 b99 b999 b9999 b99999 p20 p30 p40 p60 p70 p80 p1020 p2030 p3040 p4050 p5060 p6070 p7080 p8090;
save StataFiles/tables/table1yfraw.dta, replace;
export excel using StataFiles/tables/table1yfraw.xlsx, firstrow(variables) replace;


/*******************extracting table 2yfraw: detailed statistics*/
forvalues year=1978/2015         
{;
use StataFiles/gperc_yf_China_raw.dta, clear;
keep if year==`year';
rename ythr ythr_`year';
rename ytop ytop_`year';
rename b b_`year';
keep p ythr_`year' ytop_`year' b_`year';
order p ythr_`year' ytop_`year' b_`year';
sort p;
save StataFiles/temp/g_percfr_`year'.dta, replace;
clear;
};
use StataFiles/temp/g_percfr_1978.dta;
forvalues year=1979/2015         
{;
merge 1:1 p using StataFiles/temp/g_percfr_`year'.dta, nogen;
};
save Statafiles/tables/table2yfraw.dta, replace;
export excel using Statafiles/tables/table2yfraw.xlsx, firstrow(variables) replace;


