/*******Stata code preparing urban and rural gperc files for MatLab additive programme*********/


#delimit;
clear;
set more off;

cd "D:\Dropbox\WIDChina\PYZ2016DistributionSeries\";


/*****************preparing adult pop and average fiscal income series for urban China***/
forvalues year=1978/2015 
{;
use StataFiles/temp/yfu_China.dta, clear;
keep if (`year'<=2013 & year>=`year' & year<=`year'+2) | (`year'>2013 & year<=`year' & year>=`year'-2);
replace year=`year'+1 if year<`year';
gsort year; 
gen title="year" if _n==1;
replace title="Ni" if _n==2;
replace title="average" if _n==3;
replace year=adultpopu[_n-1] if _n==2;
replace year=yfu[_n-2] if _n==3;
keep year title;
order title year;
export excel using SimulationTwoDimMatlab\additive\rawdata\multiyear\China_urban.xls, sheet("`year'") sheetreplace;
/********** preparing urban gperc series****/
use StataFiles/gperc_yf_UrbanChina.dta, clear;
keep if year==`year';
rename ythr thr;
replace thr=0 if p==0;
replace b=. if p==0;
keep if p<=99500;
keep thr p b;
order thr p b;
replace p=p/100000;
export excel using SimulationTwoDimMatlab\additive\rawdata\multiyear\China_urban.xls, sheet("`year'") sheetmodify cell(a4) firstrow(variables);
};

/*****************preparing adult pop and average fiscal income series for rural China***/
forvalues year=1978/2015 
{;
use StataFiles/temp/yfr_China.dta, clear;
keep if (`year'<=2013 & year>=`year' & year<=`year'+2) | (`year'>2013 & year<=`year' & year>=`year'-2);
replace year=`year'+1 if year<`year';
gsort year; 
gen title="year" if _n==1;
replace title="Ni" if _n==2;
replace title="average" if _n==3;
replace year=adultpopr[_n-1] if _n==2;
replace year=yfr[_n-2] if _n==3;
keep year title;
order title year;
export excel using SimulationTwoDimMatlab\additive\rawdata\multiyear\China_rural.xls, sheet("`year'") sheetreplace;
/********** preparing rural gperc series****/
use StataFiles/gperc_yf_RuralChina.dta, clear;
keep if year==`year';
rename ythr thr;
replace thr=0 if p==0;
replace b=. if p==0;
keep if p<=99500;
keep thr p b;
order thr p b;
replace p=p/100000;
export excel using SimulationTwoDimMatlab\additive\rawdata\multiyear\China_rural.xls, sheet("`year'") sheetmodify cell(a4) firstrow(variables);
};


